@font-face {
  font-family: LuloClean;
  src: url("../fonts/Lulo-Clean-One-Bold.ttf");
}
@font-face {
  font-family: SuisseIntl;
  src: url("../fonts/SuisseIntl-Regular.ttf");
}
body {
  font-family: "SuisseIntl", serif;
  overflow-x: hidden;
  position: relative;
  scroll-behavior: smooth;
}

/*Navbar Style*/
.navbar {
  background-color: white !important;
  padding-left: 5%;
  padding-right: 5%;
  transition: 1s ease-out;
}
.navbar a {
  color: black;
  transition: 0.5s;
}
.navbar a:hover {
  color: #a977aa;
  transition: 0.5s;
}

/*Content*/
/*Hero*/
.zkz-content-wrapper {
  margin-top: 50px;
  width: 90%;
  overflow: hidden;
  margin: 0 auto;
}
.zkz-hero {
  width: 100%;
  height: 90vh;
  background: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAQAAAAECAYAAACp8Z5+AAAAIklEQVQYV2NkQALXrl37zwjjgzhaWlqMYAEYB8RmROaABAAAUA+Ge5uAWQAAAABJRU5ErkJggg==);
  overflow: hidden;
  position: relative;
}
.zkz-hero-wrap {
  width: 110%;
  height: 100%;
  overflow: hidden;
  padding-top: 20vh;
  margin-left: -5%;
}
.zkz-hero-line {
  width: 100vw;
}
.zkz-hero-left,
.zkz-hero-right {
  width: 50vw;
  overflow: hidden;
  display: inline-block;
}
.zkz-hero-left {
  color: #a977aa;
  transform: skew(0deg, -15deg);
}
.zkz-hero-right {
  color: black;
  transform: skew(0deg, 15deg);
  position: absolute;
}
.zkz-hero-left .zkz-hero-content {
  width: 100vw;
  text-align: center;
}
.zkz-hero-right .zkz-hero-content {
  width: 100vw;
  text-align: center;
  transform: translate(-50vw);
}
.zkz-hero-slidingText {
  display: inline-block;
  font-family: "Montserrat", sans-serif;
  font-size: 10vw;
  font-weight: 900;
  text-transform: uppercase;
  line-height: 0.8;
  transition: ease-out 0.6s;
}

.zkz-hero-center-image {
  position: absolute;
  z-index: 3;
  width: 100%;
  bottom: 70%;
  left: 0;
}
.zkz-hero-img {
  position: absolute;
  top: -50%;
  left: 50%;
  transform: translateX(-50%);
  height: 70vh;
}
@media only screen and (max-width: 992px) {
  .zkz-hero-wrap {
    height: 100vh;
    padding-top: 15vh;
  }
  .zkz-hero-center-image {
    margin-top: 0;
    bottom: 60%;
  }
  .zkz-hero {
    height: 60vh;
  }
  .zkz-hero-img {
    height: 40vh;
  }
}

/*Social Media*/
.zkz-social-media {
  padding-top: 1em;
  width: 100%;
}
.social-links {
  text-decoration: none;
  color: black;
  display: inline-block;
}
.social-links:hover {
  text-decoration: none;
  color: black;
}
.social-links:before {
  display: inline-block;
  padding-right: 1em;
  content: "\00B7";
}
.social-links:after {
  display: inline-block;
  padding-left: 1em;
  content: "\2192";
  transition: 0.5s ease-in;
}
.social-links:hover:after {
  transform: translateX(4px);
  -webkit-transform: translateX(4px);
  transition: 0.5s ease-out;
}
.zkz-marquee {
  display: block;
  overflow: hidden;
  text-decoration: underline;
  width: 140px;
  margin: 0 auto;
  margin-bottom: 1em;
}
.zkz-marquee-text {
  width: 100%;
  height: 100%;
  -moz-transform: translateX(100%);
  -webkit-transform: translateX(100%);
  transform: translateX(100%);
  /* Apply animation to this element */
  -moz-animation: marquee1 5s linear infinite;
  -webkit-animation: marquee1 5s linear infinite;
  animation: marquee1 5s linear infinite;
}
/* Move it (define the animation) */
@-moz-keyframes marquee1 {
  0% {
    -moz-transform: translateX(100%);
  }
  100% {
    -moz-transform: translateX(-100%);
  }
}
@-webkit-keyframes marquee1 {
  0% {
    -webkit-transform: translateX(100%);
  }
  100% {
    -webkit-transform: translateX(-100%);
  }
}
@keyframes marquee1 {
  0% {
    -moz-transform: translateX(100%); /* Firefox bug fix */
    -webkit-transform: translateX(100%); /* Firefox bug fix */
    transform: translateX(100%);
  }
  100% {
    -moz-transform: translateX(-100%); /* Firefox bug fix */
    -webkit-transform: translateX(-100%); /* Firefox bug fix */
    transform: translateX(-100%);
  }
}
.zkz-name {
  text-align: center;
  margin: 3em auto 0em;
  font-family: "SuisseIntl", serif;
  color: #212529;
  text-transform: uppercase;
  letter-spacing: 8px;
}
@media only screen and (max-width: 600px) {
  .zkz-name {
    letter-spacing: 1;
  }
  .zkz-name h1 {
    font-size: 6vw;
  }
}
/*intro*/
.intro-title {
  width: 100%;
  height: 300px;
  overflow: hidden;
  font-size: 8em;
  font-weight: 900;
  text-align: right;
}
.intro-short {
  opacity: 0;
}
.intro-intro {
  margin-top: -75px;
  opacity: 0;
  color: #747575;
}
.zkz-short-description {
  padding: 1em 0 3em 0;
}
.intro-block {
  padding: 2em;
}
.intro-block > p {
  margin-bottom: 1.5em;
}
.intro--long {
  color: #b3b3b3;
}

@media only screen and (max-width: 992px) {
  .intro-title {
    height: auto;
    font-size: 4em;
    text-align: center;
  }
  .intro-intro {
    margin-top: -35px;
  }
  .intro-block {
    text-align: justify;
  }
}
.slide-in-left {
  opacity: 1;
  -webkit-animation: slide-in-left 1s cubic-bezier(0.785, 0.135, 0.15, 0.86);
  animation: slide-in-left 1s cubic-bezier(0.785, 0.135, 0.15, 0.86);
}
@-webkit-keyframes slide-in-left {
  0% {
    -webkit-transform: translateX(-1000px);
    transform: translateX(-1000px);
    opacity: 0;
  }
  100% {
    -webkit-transform: translateX(0);
    transform: translateX(0);
    opacity: 1;
  }
}
@keyframes slide-in-left {
  0% {
    -webkit-transform: translateX(-1000px);
    transform: translateX(-1000px);
    opacity: 0;
  }
  100% {
    -webkit-transform: translateX(0);
    transform: translateX(0);
    opacity: 1;
  }
}

/* skills */
.zkz-skills {
  width: 1200px;
  margin: 0 auto;
  align-items: center;
}
.zkz-skills-section {
  display: flex;
  justify-content: center;
  margin: 1em 0;
}
.zkz-skills-tab {
  opacity: 1;
  outline: 0;
  color: #fff;
  line-height: 40px;
  position: relative;
  text-align: center;
  letter-spacing: 1px;
  display: inline-block;
  text-decoration: none;
  font-family: "Open Sans";
  text-transform: uppercase;
  margin-right: 1%;
  max-height: 40px;
}
.zkz-skills-tab:hover:after {
  opacity: 1;
  transform: translateY(0) rotateX(0);
}
.zkz-skills-tab:hover:before {
  opacity: 0;
  transform: translateY(50%) rotateX(90deg);
}
.zkz-skills-tab:after {
  top: 0;
  left: 0;
  opacity: 0;
  width: 100%;
  color: #323237;
  display: block;
  transition: 0.5s;
  position: absolute;
  background: #e3e3e3;
  content: attr(data-back);
  transform: translateY(-50%) rotateX(90deg);
  padding: 3px 0 0;
  max-height: 40px;
}
.zkz-skills-tab:before {
  top: 0;
  left: 0;
  opacity: 1;
  color: #fff;
  display: block;
  line-height: 40px;
  transition: 0.5s;
  position: relative;
  background: #323237;
  padding: 0 30px;
  content: attr(data-front);
  transform: translateY(0) rotateX(0);
  max-height: 40px;
}
@media only screen and (max-width: 600px) {
  .zkz-skills {
    width: 100%;
  }
  .zkz-skills-section {
    display: flex;
    flex-flow: column;
  }
  .zkz-skills-tab {
    margin-bottom: 1vh;
    margin-right: 0;
  }
  .zkz-skills-tab:before {
    padding: 0;
  }
}
.zkz-html:after {
  content: url(https://zulfathly.com/img/html.png);
}
.zkz-js:after {
  content: url(https://zulfathly.com/img/js.png);
}
.zkz-css:after {
  content: url(https://zulfathly.com/img/css3.png);
}
.zkz-react:after {
  content: url(https://zulfathly.com/img/react-logo.png);
}
.zkz-mysql:after {
  content: url(https://zulfathly.com/img/mysql.png);
}
.zkz-html:after {
  content: url(https://zulfathly.com/img/html.png);
}
.zkz-laravel:after {
  content: url(https://zulfathly.com/img/laravel.png);
}
.zkz-git:after {
  content: url(https://zulfathly.com/img/git.png);
}
.zkz-ajax:after {
  content: url(https://zulfathly.com/img/ajax.png);
}
.zkz-ps:after {
  content: url(https://zulfathly.com/img/photoshop.png);
}
.zkz-ai:after {
  content: url(https://zulfathly.com/img/illustrator.png);
}
.zkz-pp:after {
  content: url(https://zulfathly.com/img/premier.png);
}
/*portfolio*/
.zkz-portfolio {
  overflow: hidden;
  margin: 10em 0;
}
.zkz-portfolio-image {
  width: 100%;
  transition: 0.5s ease-out;
}
.zkz-portfolio-image:hover {
  transform: scale(1.05);
  transition: 0.5s ease-out;
}
.zkz-marquee-text2 {
  height: 100%;
  -moz-transform: translateX(80%);
  -webkit-transform: translateX(80%);
  transform: translateX(80%);
  /* Apply animation to this element */
  -moz-animation: marquee2 8s linear infinite;
  -webkit-animation: marquee2 8s linear infinite;
  animation: marquee2 8s linear infinite;
}
.zkz-portfolio-marquee {
  width: 200px;
}
.zkz-portfolio-header {
  width: 340px;
}

/* Move it (define the animation) */
@-moz-keyframes marquee2 {
  0% {
    -moz-transform: translateX(80%);
  }
  100% {
    -moz-transform: translateX(-80%);
  }
}
@-webkit-keyframes marquee2 {
  0% {
    -webkit-transform: translateX(80%);
  }
  100% {
    -webkit-transform: translateX(-80%);
  }
}
@keyframes marquee2 {
  0% {
    -moz-transform: translateX(80%); /* Firefox bug fix */
    -webkit-transform: translateX(80%); /* Firefox bug fix */
    transform: translateX(80%);
  }
  100% {
    -moz-transform: translateX(-80%); /* Firefox bug fix */
    -webkit-transform: translateX(-80%); /* Firefox bug fix */
    transform: translateX(-80%);
  }
}

/*footer*/
.zkz-footer {
  background-color: white;
  padding: 2em;
  width: 90%;
  margin: 5em auto 2em auto;
}
.zkz-catch-line {
  font-size: 3em;
  margin-bottom: 3em;
}
.zkz-first-move {
  font-weight: 700;
  color: #a977aa;
}
.zkz-bottom-footer {
  display: flex;
  justify-content: space-between;
  width: 100%;
  margin: 0 auto;
  padding: 1em;
  border-top: solid 0.5px #e3e3e3;
  color: #5f6368;
  font-size: 0.8em;
}
.zkz-contact-header {
  font-size: 1em;
  text-align: right;
}
.zkz-email {
  font-size: 2em;
  text-decoration: underline;
  text-decoration-color: #e3e3e3;
  background: linear-gradient(to left, #a977aa 0%, #a977aa 100%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  font-weight: 600;
  text-align: right;
  transition: 1s ease-out;
}
.zkz-email:hover {
  background: linear-gradient(to right, #30cfd0 0%, #a977aa 100%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}
@media only screen and (max-width: 992px) {
  .zkz-contact-header {
    text-align: center;
  }
  .zkz-email {
    font-size: 1.5em;
    text-align: center;
    margin-bottom: 1em;
  }
  .zkz-portfolio {
    display: none;
  }
}

/*Cookie faek*/
.zkz-cookie-fake {
  font-size: 0.8em;
  position: fixed;
  bottom: 0;
  left: 50%;
  transform: translate3d(-50%, 100%, 0);
  width: 80%;
  height: 70px;
  background-color: #e9e9e9;
  padding: 1em;
  display: flex;
  text-align: center;
  vertical-align: middle;
  z-index: 100;
}
.zkz-cookie-fake > p {
  margin: auto;
}
.zkz-cookie-button {
  padding: 8px 25px;
  color: white;
  background-color: black;
  border: none;
  margin-left: 3em;
}

@media only screen and (max-width: 992px) {
  .zkz-cookie-fake {
    display: none;
  }
}
.slideInUp {
  -webkit-animation-name: slideInUp;
  animation-name: slideInUp;
  -webkit-animation-duration: 1s;
  animation-duration: 1s;
  -webkit-animation-fill-mode: both;
  animation-fill-mode: both;
}

@-webkit-keyframes slideInUp {
  from {
    -webkit-transform: translate3d(-50%, 100%, 0);
    transform: translate3d(-50%, 100%, 0);
    visibility: visible;
  }

  to {
    -webkit-transform: translate3d(-50%, 0, 0);
    transform: translate3d(-50%, 0, 0);
  }
}
@keyframes slideInUp {
  from {
    -webkit-transform: translate3d(-50%, 100%, 0);
    transform: translate3d(-50%, 100%, 0);
    visibility: visible;
  }

  to {
    -webkit-transform: translate3d(-50%, 0, 0);
    transform: translate3d(-50%, 0, 0);
  }
}

/* portfolio */

:root {
  --total: 4;
  --offset-width: 15vw;
  --easing: cubic-bezier(0.8, 0, 0.2, 1);
  --duration: 0.6s;
}

.nav-container {
  height: 50vh;
  width: 90vw;
  overflow: hidden;
  position: relative;
  margin: 0 auto;
}
.nav-container .nav-lists {
  list-style-type: none;
  display: flex;
  height: 100%;
  overflow: hidden;
  position: relative;
}
.nav-container .nav-lists .nav-list {
  --tx: calc(-100% + var(--offset-width));
  width: 60vw;
  height: 100%;
  position: absolute;
  z-index: calc(var(--total) - var(--i));
  margin-left: calc(var(--i) * var(--offset-width));
  transform: translateX(var(--tx));
  transition: transform var(--duration) var(--easing);
  animation: slide-down 1s cubic-bezier(0.5, 0, 0.3, 1);
  animation-delay: calc(var(--i) * 0.15s);
  animation-fill-mode: backwards;
}
@keyframes slide-down {
  from {
    transform: translateX(var(--tx)) translateY(-100%);
  }
  to {
    transform: translateX(var(--tx)) translateY(0);
  }
}
.nav-container .nav-lists .nav-list:hover {
  transform: translateX(-2vw);
}
.nav-container .nav-lists .nav-list:hover ~ .nav-list {
  transform: none;
}

.nav-list img {
  height: 100%;
  width: 100%;
  object-fit: cover;
}
.zkz-check-here {
  position: absolute;
  right: 10%;
  top: 50%;
  transform: translateY(-50%);
}
.zkz-check-here::before {
  display: inline-block;
  padding-right: 1em;
  content: "\2190";
}
